{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CompanyFinancialInformationResults":{"description":"Roaring Apps company financial information results","properties":{"records":{"description":"Found company financial information results","items":{"$ref":"#/components/schemas/FinancialInformation"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"FinancialInformation":{"properties":{"bsCashAndBankBalances":{"description":"Cash and bank balances (Cash and bank, Liquid assets)","format":"int32","type":"integer"},"bsLongTermLiabilitiesGroupAndAssocComp":{"description":"Liabilities to group and associated companies, long term","format":"int32","type":"integer"},"bsNetProfitLoss":{"description":"Net profit/loss for the year","format":"int32","type":"integer"},"bsShareCapital":{"description":"Share capital KNOK (Capital stock)","format":"int32","type":"integer"},"bsShortTermLiabilitiesGroupAndAssocComp":{"description":"Liabilities to group and associated companies, short term","format":"int32","type":"integer"},"bsTotalCurrentLiabilities":{"description":"Total current liabilities","format":"int64","type":"integer"},"bsTotalEquity":{"description":"Total equity","format":"int32","type":"integer"},"bsTotalEquityAndLiabilities":{"description":"Total equity & liabilities","format":"int64","type":"integer"},"bsTotalInventories":{"description":"Total Inventories","format":"int32","type":"integer"},"bsTotalLongTermDebts":{"description":"Total long-term debts","format":"int32","type":"integer"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"},"currency":{"description":"Currency","type":"string"},"kpiChangeInNumberOfEmployees":{"description":"Change in number of employees","format":"double","type":"number"},"kpiCurrentRatioPercent":{"description":"Current Ratio (%)","format":"double","type":"number"},"kpiEbitda":{"description":"Earnings before Interest, Taxes; Depreciation and Amortization, EBITDA","format":"int32","type":"integer"},"kpiEquityRatioPercent":{"description":"Equity ratio (%)","format":"double","type":"number"},"kpiOperatingMarginPercent":{"description":"Operating Margin percent","format":"double","type":"number"},"kpiQuickRatioPercent":{"description":"Quick ratio (%)","format":"double","type":"number"},"kpiReturnOnCapitalEmployedPercent":{"description":"Return on total capital (%) ROCE","format":"double","type":"number"},"kpiReturnOnEquityPercent":{"description":"Return on capital percent (%) ROC (Return On Capital) or ROIC (Return On Invested Capital)","format":"double","type":"number"},"numberOfEmployees":{"description":"Number of employees (pcs)","format":"int32","type":"integer"},"plEbit":{"description":"Earnings Before Interest and Tax, EBIT (Operating profit/loss)","format":"int32","type":"integer"},"plNetOperatingIncome":{"description":"Total operating income","format":"int32","type":"integer"},"plNetProfitLoss":{"description":"Net Profit/loss for the year","format":"int32","type":"integer"},"plNetSales":{"description":"Net sales, Limited companies (aktiebolag)","format":"int32","type":"integer"},"plProfitLossAfterFinItems":{"description":"Profit/loss after financial items","format":"int32","type":"integer"},"toDate":{"description":"Financial numbers period to date (Date in ISO 8601 standard)","type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Financial information of company\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Financial Information","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/economy-overview-icon-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"number of latest years to include","in":"query","name":"years","schema":{"default":5,"format":"int32","type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyFinancialInformationResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find company financial information for several latest years","tags":["FinancialInformationNo"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/no/company/financial-information/1.0"}],"x-category":"company","x-countries":["no"],"x-id":"FinancialInformationApiNo"}